<?php

/**************    Include cabecera  ***********************************/
require_once dirname(__DIR__) . '/../index_ajax.php';

// Compruebo si el localizador es válido
if (!isset($_POST['localizador'])) {
    echo 0;
    die();
}

if ($_POST['localizador'] == '') {
    echo 0;
    die();
}

$_POST['localizador'] = strtoupper(trim($_POST['localizador']));
        
$filtro_instalacion = "";
$lista_instalacion  = "";

if (arrayHasOnlyInts( (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'], true))){          
    $lista_instalacion  = implode(",", (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'], true));
    $filtro_instalacion = " AND instalacion_id in ( $lista_instalacion ) " ;
}

$sql_localizador = "SELECT *
                    FROM localizadores
                    WHERE localizador = :localizador 
                    AND anulacion = 0
                    AND estado = 'pagado' ". $filtro_instalacion ;

$result_localizador = $conexion->prepare($sql_localizador);
$result_localizador->execute(array(':localizador' => $_POST['localizador'] ));


if ($result_localizador->rowCount() <= 0) {
    echo 0;
    die();
}

$row_localizador = $result_localizador->fetch();

if($row_localizador['regalo']){
    echo 2;
    die();
}

// Si el localizador es valido para anular, comprobamos si el servicio del localizador es anulable
$sql_servicio = "SELECT *
                 FROM servicios
                 WHERE id = :servicio_id ";

$result_servicio = $conexion->prepare($sql_servicio);
$result_servicio->execute(array(':servicio_id' => $row_localizador['servicio_id']));

if ($result_servicio->rowCount() <= 0) {
    echo 2;
    die();
}
$row_servicio = $result_servicio->fetch();

if($row_servicio['gastro_bar'] == 1){
    echo 2;
    die();
}

if ($row_servicio['antelacion_maxima_cancelacion'] <= 0) {
    echo 2;
    die();
} 

$sql_extras = "SELECT le.*
               FROM localizador_extras_servicio  le 
               INNER JOIN localizadores l ON le.localizador_extra = l.localizador and l.estado='pagado'             
               WHERE le.localizador = :localizador
               AND le.unidades > 0";

$result_servicio = $conexion->prepare($sql_extras);
$result_servicio->execute(array(':localizador' => $_POST['localizador']  ));

if ($result_servicio->rowCount() > 0) {
    echo 3;
    die();
}

echo 1;
die();